Skip to content

Product Suppliers v3

CRUD operations for product suppliers. Suppliers represent production and fulfillment partners.


Endpoints


GET /resource/v3/products/{product_id}/suppliers

Retrieve suppliers for a product

Input parameters

Parameter In Type Default Nullable Description
product_id path string No

Responses

{
    "_links": {},
    "_pagination": {},
    "items": [
        {
            "_id": 3980960,
            "_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
            "_version": "4.0",
            "name": "bod",
            "status": "pod",
            "available": true,
            "availability_days": 23,
            "production_costs": 0,
            "production_costs_currency": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_pagination": {
            "type": "object"
        },
        "items": {
            "type": "array",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                    "_id": {
                        "type": "integer",
                        "description": "Unique identifier for the product supplier (legacy integer ID)",
                        "example": 3980960
                    },
                    "_uuid": {
                        "type": "string",
                        "description": "UUID identifier for the product supplier",
                        "example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
                    },
                    "_version": {
                        "type": "string",
                        "description": "API Version",
                        "example": "4.0"
                    },
                    "name": {
                        "type": "string",
                        "description": "Supplier name/identifier",
                        "example": "bod"
                    },
                    "status": {
                        "type": "string",
                        "description": "Supplier status: pod, back_order, out_of_stock, withdrawn_from_pod, null",
                        "nullable": true,
                        "example": "pod"
                    },
                    "available": {
                        "type": "boolean",
                        "description": "Indicates if product is available for purchase from supplier",
                        "readOnly": true
                    },
                    "availability_days": {
                        "type": "integer",
                        "description": "Number of days for availability",
                        "nullable": true,
                        "example": 23
                    },
                    "production_costs": {
                        "type": "integer",
                        "description": "Production costs in Euro cent.",
                        "nullable": true
                    },
                    "production_costs_currency": {
                        "type": "string",
                        "description": "Production costs Currency.",
                        "nullable": true
                    }
                },
                "required": []
            }
        }
    },
    "required": [
        "_links",
        "_pagination",
        "items"
    ]
}

POST /resource/v3/products/{product_id}/suppliers

Create a new product supplier

Input parameters

Parameter In Type Default Nullable Description
product_id path string No

Request body

{
    "_id": 3980960,
    "_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
    "_version": "4.0",
    "name": "bod",
    "status": "pod",
    "available": true,
    "availability_days": 23,
    "production_costs": 0,
    "production_costs_currency": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product supplier (legacy integer ID)",
            "example": 3980960
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product supplier",
            "example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "4.0"
        },
        "name": {
            "type": "string",
            "description": "Supplier name/identifier",
            "example": "bod"
        },
        "status": {
            "type": "string",
            "description": "Supplier status: pod, back_order, out_of_stock, withdrawn_from_pod, null",
            "nullable": true,
            "example": "pod"
        },
        "available": {
            "type": "boolean",
            "description": "Indicates if product is available for purchase from supplier",
            "readOnly": true
        },
        "availability_days": {
            "type": "integer",
            "description": "Number of days for availability",
            "nullable": true,
            "example": 23
        },
        "production_costs": {
            "type": "integer",
            "description": "Production costs in Euro cent.",
            "nullable": true
        },
        "production_costs_currency": {
            "type": "string",
            "description": "Production costs Currency.",
            "nullable": true
        }
    },
    "required": []
}

Responses

{
    "_id": 3980960,
    "_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
    "_version": "4.0",
    "name": "bod",
    "status": "pod",
    "available": true,
    "availability_days": 23,
    "production_costs": 0,
    "production_costs_currency": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product supplier (legacy integer ID)",
            "example": 3980960
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product supplier",
            "example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "4.0"
        },
        "name": {
            "type": "string",
            "description": "Supplier name/identifier",
            "example": "bod"
        },
        "status": {
            "type": "string",
            "description": "Supplier status: pod, back_order, out_of_stock, withdrawn_from_pod, null",
            "nullable": true,
            "example": "pod"
        },
        "available": {
            "type": "boolean",
            "description": "Indicates if product is available for purchase from supplier",
            "readOnly": true
        },
        "availability_days": {
            "type": "integer",
            "description": "Number of days for availability",
            "nullable": true,
            "example": 23
        },
        "production_costs": {
            "type": "integer",
            "description": "Production costs in Euro cent.",
            "nullable": true
        },
        "production_costs_currency": {
            "type": "string",
            "description": "Production costs Currency.",
            "nullable": true
        }
    },
    "required": []
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

GET /resource/v3/products/{product_id}/suppliers/{id}

Retrieve a single product supplier

Input parameters

Parameter In Type Default Nullable Description
id path string No
product_id path string No

Responses

{
    "_id": 3980960,
    "_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
    "_version": "4.0",
    "name": "bod",
    "status": "pod",
    "available": true,
    "availability_days": 23,
    "production_costs": 0,
    "production_costs_currency": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product supplier (legacy integer ID)",
            "example": 3980960
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product supplier",
            "example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "4.0"
        },
        "name": {
            "type": "string",
            "description": "Supplier name/identifier",
            "example": "bod"
        },
        "status": {
            "type": "string",
            "description": "Supplier status: pod, back_order, out_of_stock, withdrawn_from_pod, null",
            "nullable": true,
            "example": "pod"
        },
        "available": {
            "type": "boolean",
            "description": "Indicates if product is available for purchase from supplier",
            "readOnly": true
        },
        "availability_days": {
            "type": "integer",
            "description": "Number of days for availability",
            "nullable": true,
            "example": 23
        },
        "production_costs": {
            "type": "integer",
            "description": "Production costs in Euro cent.",
            "nullable": true
        },
        "production_costs_currency": {
            "type": "string",
            "description": "Production costs Currency.",
            "nullable": true
        }
    },
    "required": []
}

PUT /resource/v3/products/{product_id}/suppliers/{id}

Update product supplier

Input parameters

Parameter In Type Default Nullable Description
id path string No
product_id path string No

Request body

{
    "_id": 3980960,
    "_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
    "_version": "4.0",
    "name": "bod",
    "status": "pod",
    "available": true,
    "availability_days": 23,
    "production_costs": 0,
    "production_costs_currency": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product supplier (legacy integer ID)",
            "example": 3980960
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product supplier",
            "example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "4.0"
        },
        "name": {
            "type": "string",
            "description": "Supplier name/identifier",
            "example": "bod"
        },
        "status": {
            "type": "string",
            "description": "Supplier status: pod, back_order, out_of_stock, withdrawn_from_pod, null",
            "nullable": true,
            "example": "pod"
        },
        "available": {
            "type": "boolean",
            "description": "Indicates if product is available for purchase from supplier",
            "readOnly": true
        },
        "availability_days": {
            "type": "integer",
            "description": "Number of days for availability",
            "nullable": true,
            "example": 23
        },
        "production_costs": {
            "type": "integer",
            "description": "Production costs in Euro cent.",
            "nullable": true
        },
        "production_costs_currency": {
            "type": "string",
            "description": "Production costs Currency.",
            "nullable": true
        }
    },
    "required": []
}

Responses

{
    "_id": 3980960,
    "_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
    "_version": "4.0",
    "name": "bod",
    "status": "pod",
    "available": true,
    "availability_days": 23,
    "production_costs": 0,
    "production_costs_currency": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product supplier (legacy integer ID)",
            "example": 3980960
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product supplier",
            "example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "4.0"
        },
        "name": {
            "type": "string",
            "description": "Supplier name/identifier",
            "example": "bod"
        },
        "status": {
            "type": "string",
            "description": "Supplier status: pod, back_order, out_of_stock, withdrawn_from_pod, null",
            "nullable": true,
            "example": "pod"
        },
        "available": {
            "type": "boolean",
            "description": "Indicates if product is available for purchase from supplier",
            "readOnly": true
        },
        "availability_days": {
            "type": "integer",
            "description": "Number of days for availability",
            "nullable": true,
            "example": 23
        },
        "production_costs": {
            "type": "integer",
            "description": "Production costs in Euro cent.",
            "nullable": true
        },
        "production_costs_currency": {
            "type": "string",
            "description": "Production costs Currency.",
            "nullable": true
        }
    },
    "required": []
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

DELETE /resource/v3/products/{product_id}/suppliers/{id}

Delete product supplier

Input parameters

Parameter In Type Default Nullable Description
id path string No
product_id path string No

Responses

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

Schemas

Product Supplier

Name Type Description
_id integer

Unique identifier for the product supplier (legacy integer ID)

Example: 3980960

Unique identifier for the product supplier (legacy integer ID)
_uuid string

UUID identifier for the product supplier

Example: a71faa3a-4f84-4248-b060-9fad75f7f63e

UUID identifier for the product supplier
_version string

API Version

Example: 4.0

API Version
availability_days integer| null

Number of days for availability

Example: 23

Number of days for availability
available boolean

Indicates if product is available for purchase from supplier

Indicates if product is available for purchase from supplier
name string

Supplier name/identifier

Example: bod

Supplier name/identifier
production_costs integer| null

Production costs in Euro cent.

Production costs in Euro cent.
production_costs_currency string| null

Production costs Currency.

Production costs Currency.
status string| null

Supplier status: pod, back_order, out_of_stock, withdrawn_from_pod, null

Example: pod

Supplier status: pod, back_order, out_of_stock, withdrawn_from_pod, null